Ask Your Question
0

Packages 'libswscale and libavcodec' for building usb_cam

asked 2016-10-24 10:36:29 -0500

shlady gravatar image

I'm using a Jetson TX1 board running indigo and trying to install usb_cam. I got it from github into my src folder. However, when I try to use catkin_make I get CMake Errors where it cannot find the packages libavcodec and libswscale. I searched online for these packages and only found versions of these packages that have other things like dev or numbers appended to the end. I installed a few to try it out but the error persists. How can I get those individual packages?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-12-27 10:58:05 -0500

matwilso gravatar image

updated 2017-06-06 15:28:35 -0500

What worked for me is searching for the package:

apt-cache search libavcodec

A few options appeared: libavcodec-dev and libavcodec56. I sudo apt-got them both and it worked. See this answer for more information. The same should work for libswscale:

apt-cache search libswscale

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-10-24 10:36:29 -0500

Seen: 262 times

Last updated: Jun 06 '17